import { QPQConfig } from 'quidproquo-core';
import { RouteQPQWebServerConfigSetting, HTTPEventParams } from 'quidproquo-webserver';
declare const _default: (config: QPQConfig) => {
    "@quidproquo-core/event/TransformEventParams": (payload: any, session: any) => Promise<HTTPEventParams<any>>;
    "@quidproquo-core/event/TransformResponseResult": (payload: any, session: any) => Promise<{
        statusCode: any;
        body: any;
        headers: {
            'Content-Type': string;
            'Access-Control-Allow-Headers': string;
            'Access-Control-Allow-Methods': string;
            'Access-Control-Allow-Origin': string;
        };
    }>;
    "@quidproquo-core/event/AutoRespond": (payload: any, session: any) => Promise<{
        statusCode: number;
        headers: {
            'Content-Type': string;
            'Access-Control-Allow-Headers': string;
            'Access-Control-Allow-Methods': string;
            'Access-Control-Allow-Origin': string;
        };
    } | null>;
    "@quidproquo-core/event/MatchStory": (payload: any, session: any) => Promise<RouteQPQWebServerConfigSetting | undefined>;
};
export default _default;
